%define		php_name	php%{?php_suffix}
%define		modname		uuid
%define		status		stable
Summary:	%{modname} - UUID support functions
Summary(pl.UTF-8):	%{modname} - funkcje obsługujące UUID
Name:		%{php_name}-pecl-%{modname}
Version:	1.0.3
Release:	3
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	236c3f2f5c5e9ce0aa2f024618c060a1
URL:		http://pecl.php.net/package/uuid/
BuildRequires:	libuuid-devel
BuildRequires:	%{php_name}-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Requires:	php(core) >= 5.0.4
Obsoletes:	php-pear-%{modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This extension provides functions to generate and analyse universally
unique identifiers (UUIDs). It depends on external libuuid. This
library is available on most linux systems, its source is bundled with
ext2fs tools.

In PECL status of this package is: %{status}.

%description -l pl.UTF-8
To rozszerzenie dostarcza funkcje do generowania i analizy
uniwersalnie unikalnych identyfikatorów (ang. UUIDs). Rozszerznie to
wymaga zewnętrznej biblioteki libuuid, dostępnej w większości
dystrybucji, której źródło jest dostarczane wraz z narzędziami ext2fs.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
mv %{modname}-%{version}/* .

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}

install -p modules/%{modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Sun Nov 24 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-uuid.git;a=log;h=master

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> 725c5c6
support building for multiple php versions

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> c79ce27
- use php(core) as dependency to require php version
- release 2 (by relup.sh)

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> e2c3805
- release 2 (by relup.sh)

* Sun Jun 24 2012 Łukasz Kieś <kiesiu@pld-linux.org> 7df0fb2
- updated to 1.0.3

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> dfb3359
- release 3

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> 7d41680
- release 2

* Sun Apr 26 2009 Adam Gołębiowski <adamg@pld-linux.org> ac10a69
- license fixes Andrzej Mateja <amateja () pimpek.one.pl>

* Tue Oct 14 2008 Jan Rękorajski <baggins@pld-linux.org> 9d1b183
- up to 1.0.2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> bbe664a
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> de4176f
- converted to UTF-8

* Tue Jan 02 2007 Elan Ruusamäe <glen@pld-linux.org> bc584bd
- use new php extension related macros

* Wed Dec 13 2006 Elan Ruusamäe <glen@pld-linux.org> f5168a8
- rel 6 (php 5.2.0)

* Thu Nov 02 2006 Elan Ruusamäe <glen@pld-linux.org> 884a485
- BR rpmmacros for fixed %requires_php_extension

* Thu Dec 22 2005 Elan Ruusamäe <glen@pld-linux.org> 51cfc92
- rel 5 (rebuild with new php)

* Sun Oct 30 2005 Elan Ruusamäe <glen@pld-linux.org> 27de3db
- rel 4

* Sat Oct 29 2005 Elan Ruusamäe <glen@pld-linux.org> dcccd80
- rebuild with zts and debug requires

* Wed Sep 14 2005 Elan Ruusamäe <glen@pld-linux.org> 2372f6b
- rel 2

* Wed Sep 14 2005 Elan Ruusamäe <glen@pld-linux.org> ee2e8d2
- conf.d and php api macros

* Tue Sep 13 2005 Elan Ruusamäe <glen@pld-linux.org> 03f92da
- superfluous BR libtool removed

* Sun May 30 2004 Adam Gołębiowski <adamg@pld-linux.org> 2d27b3e
- fixed english information about status of the package (also s/PEAR/PECL/)

